<template>
  <div>
    <el-tabs type="border-card">
      <el-tab-pane v-for="item in combinationCodes">
        <div slot="label" @click="changeCombination(item)">{{ item }}
        </div>
        <CombinationInfo ref="caonima" :combinationCode="combinationCode"></CombinationInfo>
      </el-tab-pane>
    </el-tabs>
  </div>
</template>

<script>
import CombinationInfo from "./info.vue";
import Da from "element-ui/src/locale/lang/da";

export default {
  name: "CombinationInfos",
  components: {CombinationInfo},
  props: {
    combinationCodes: {
      type: Array,
      default: null
    }
  },
  data() {
    return {combinationCode: '', key: ''}
  },
  watch: {
    combinationCodes: {
      handler(newVal, oldVal) {
        this.$nextTick(() => {
          this.combinationCode = this.combinationCodes[0]
        })
      },
      immediate: true
    }
  },
  created() {
  },
  methods: {
    changeCombination(combinationCode) {
      this.$nextTick(() => {
        this.combinationCode = combinationCode
        this.$refs.caonima[0].changeCombination(combinationCode)
      })
    }
  }
};
</script>


<style scoped>

</style>
